package com.example.chemical.ui.adapter

import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.example.chemical.R
import com.rc.core.log.RcLog
import com.rc.httpcore.bean.ChemicalTypeBean

class ChemicalTypeDialogAdapter :
    BaseQuickAdapter<ChemicalTypeBean, BaseViewHolder>(R.layout.chemical_type_dialog_rv) {

    init {
        addChildClickViewIds(R.id.label)
    }

    override fun convert(holder: BaseViewHolder, item: ChemicalTypeBean) {
        holder.setText(R.id.label, item.label)
    }
}